using System;
using System.Threading.Tasks;

internal sealed class Delegate671 : MulticastDelegate
{
	public extern Task Invoke(Func<Task> func_0);

	public static Task smethod_0(Func<Task> func_0, Delegate671 delegate671_1)
	{
		return delegate671_1(func_0);
	}

	public extern Delegate671(object object_0, IntPtr intptr_0);

	static Delegate671()
	{
		Class10.smethod_13(typeof(Delegate671).TypeHandle);
	}

	internal static Delegate671 delegate671_0;
}
